all_losses <- function(library) {
  losses <- tibble(Compound = as.character(),
                   loss = as.numeric())
  for (compound in levels(as.factor(library$Compound))) {
    compound_data <- library %>%
      filter(Compound == compound)
    losses <- losses %>%
      bind_rows(calculate_losses(compound_data) %>%
                  mutate(Compound = as.character(compound)))
  }
  return(losses)
}