similarity_nominal <- function(spec1, spec2) {
  spec1 <- spec1 %>%
    rename(m_z_1 = m_z,
           int_1 = int,
           rel_int_1 = rel_int)
  
  CP <- spec1 %>%
    left_join(spec2, by = character()) %>% 
    mutate(delta_mz = abs(m_z_1 - m_z))
  CP <- CP %>%
    mutate(match = case_when(
      delta_mz < 0.5 ~ 1,
      TRUE ~ 0
    ))
  similarity <- sum(CP$match)/(CP %>% select(m_z_1) %>% unique() %>% count() +
                                 CP %>% select(m_z) %>% unique() %>% count() -
                                 sum(CP$match))
  return(similarity$n)
}