matching_library <- function(library, unknown) {
  
  library_matches <- tibble(compound = as.character(),
                            similarity = as.numeric())
  
  for (compound in levels(as.factor(library$Compound))) {
    compound_data <- library %>%
      filter(Compound == compound)
    
    library_matches <- library_matches %>%
      add_row(compound = as.character(compound), 
              similarity = similarity_nominal(unknown, compound_data))
  }
  return(library_matches)
}